Bug 121328 - [PATCH]graphics/png: update to 1.2.25
[PATCH]graphics/png: update to 1.2.25
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Andrey A. Chernov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 19:10 UTC by bf2006a
Modified: 2008-03-04 19:38 UTC (History)
0 users

See Also:


Attachments
file.diff (3.95 KB, patch)
2008-03-03 19:10 UTC, bf2006a
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bf2006a 2008-03-03 19:10:02 UTC
"... fixes a double-gamma-correction bug on colormapped images with partially transparent palette entries, as well as a number of problems (believed to be benign) that were found by the Coverity static-analysis tool."

"Most versions of libpng up through 1.2.24 have a number of minor coding errors that could lead to crashes in exceptional cases. For example, if memory allocation fails while processing certain ancillary chunks, libpng could crash while attempting to write to the NULL pointer; or if the application author failed to set up the info_ptr as required, some parts of libpng fail to check for NULL and could crash trying to read the pointer (though it's probable that the error would have caused libpng to terminate upstream of these parts). The bugs are fixed in version 1.2.25, released 18 February 2008."

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-03-03 19:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2008-03-04 15:52:23 UTC
ache        2008-03-04 15:52:13 UTC

  FreeBSD ports repository

  Modified files:
    graphics/png         Makefile distinfo 
    graphics/png/files   patch-ab 
  Log:
  Upgrade to 1.2.25
  
  PR:             121328
  
  Revision  Changes    Path
  1.85      +2 -3      ports/graphics/png/Makefile
  1.38      +3 -3      ports/graphics/png/distinfo
  1.11      +1 -1      ports/graphics/png/files/patch-ab
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Andrey A. Chernov freebsd_committer 2008-03-04 19:38:14 UTC
State Changed
From-To: open->closed

Updated.